net.minecraft.block.material

## Class Material

- java.lang.Object
- - net.minecraft.block.material.Material

- Direct Known Subclasses:
    MaterialLiquid, MaterialLogic, MaterialPortal, MaterialTransparent

      public class Material
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Material` | `air`
    `static Material` | `anvil`
    `static Material` | `cactus`
    `static Material` | `cake` Cake's material, see BlockCake
    `static Material` | `circuits`
    `static Material` | `clay`
    `static Material` | `cloth`
    `static Material` | `coral`
    `static Material` | `craftedSnow` The material for crafted snow.
    `static Material` | `dragonEgg`
    `static Material` | `fire`
    `static Material` | `glass`
    `static Material` | `grass` The material used by BlockGrass.
    `static Material` | `ground`
    `static Material` | `ice`
    `static Material` | `iron`
    `static Material` | `lava`
    `static Material` | `leaves`
    `static Material` | `materialCarpet`
    `MapColor` | `materialMapColor` The color index used to draw the blocks of this material on maps.
    `static Material` | `piston` Pistons' material.
    `static Material` | `plants`
    `static Material` | `portal` Material used for portals
    `static Material` | `pumpkin` pumpkin
    `static Material` | `redstoneLight`
    `static Material` | `rock`
    `static Material` | `sand`
    `static Material` | `snow`
    `static Material` | `sponge`
    `static Material` | `tnt`
    `static Material` | `vine`
    `static Material` | `water`
    `static Material` | `web` Web's material.
    `static Material` | `wood`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Material(MapColor par1MapColor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blocksMovement()` Returns if this material is considered solid or not
    `boolean` | `getCanBlockGrass()` Will prevent grass from growing on dirt underneath and kill any grass below it if it returns true
    `boolean` | `getCanBurn()` Returns if the block can burn or not.
    `int` | `getMaterialMobility()` Returns the mobility information of the material, 0 = free, 1 = can't push but can move over, 2 = total immobility and stop pistons.
    `boolean` | `isAdventureModeExempt()` Returns true if blocks with this material can always be mined in adventure mode.
    `boolean` | `isLiquid()` Returns if blocks of these materials are liquids.
    `boolean` | `isOpaque()` Indicate if the material is opaque
    `boolean` | `isReplaceable()` Returns whether the material can be replaced by other blocks when placed - eg snow, vines and tall grass.
    `boolean` | `isSolid()`
    `boolean` | `isToolNotRequired()` Returns true if the material can be harvested without a tool (or with the wrong tool)
    `Material` | `setReplaceable()` Sets `replaceable` to true.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### air

          public static final Material air

    - #### grass

          public static final Material grass

      The material used by BlockGrass.

    - #### ground

          public static final Material ground

    - #### wood

          public static final Material wood

    - #### rock

          public static final Material rock

    - #### iron

          public static final Material iron

    - #### anvil

          public static final Material anvil

    - #### water

          public static final Material water

    - #### lava

          public static final Material lava

    - #### leaves

          public static final Material leaves

    - #### plants

          public static final Material plants

    - #### vine

          public static final Material vine

    - #### sponge

          public static final Material sponge

    - #### cloth

          public static final Material cloth

    - #### fire

          public static final Material fire

    - #### sand

          public static final Material sand

    - #### circuits

          public static final Material circuits

    - #### materialCarpet

          public static final Material materialCarpet

    - #### glass

          public static final Material glass

    - #### redstoneLight

          public static final Material redstoneLight

    - #### tnt

          public static final Material tnt

    - #### coral

          public static final Material coral

    - #### ice

          public static final Material ice

    - #### snow

          public static final Material snow

    - #### craftedSnow

          public static final Material craftedSnow

      The material for crafted snow.

    - #### cactus

          public static final Material cactus

    - #### clay

          public static final Material clay

    - #### pumpkin

          public static final Material pumpkin

      pumpkin

    - #### dragonEgg

          public static final Material dragonEgg

    - #### portal

          public static final Material portal

      Material used for portals

    - #### cake

          public static final Material cake

      Cake's material, see BlockCake

    - #### web

          public static final Material web

      Web's material.

    - #### piston

          public static final Material piston

      Pistons' material.

    - #### materialMapColor

          public final MapColor materialMapColor

      The color index used to draw the blocks of this material on maps.

  - ### Constructor Detail

    - #### Material

          public Material(MapColor par1MapColor)

  - ### Method Detail

    - #### isLiquid

          public boolean isLiquid()

      Returns if blocks of these materials are liquids.

    - #### isSolid

          public boolean isSolid()

    - #### getCanBlockGrass

          public boolean getCanBlockGrass()

      Will prevent grass from growing on dirt underneath and kill any grass below it if it returns true

    - #### blocksMovement

          public boolean blocksMovement()

      Returns if this material is considered solid or not

    - #### getCanBurn

          public boolean getCanBurn()

      Returns if the block can burn or not.

    - #### setReplaceable

          public Material setReplaceable()

      Sets `replaceable` to true.

    - #### isReplaceable

          public boolean isReplaceable()

      Returns whether the material can be replaced by other blocks when placed - eg snow, vines and tall grass.

    - #### isOpaque

          public boolean isOpaque()

      Indicate if the material is opaque

    - #### isToolNotRequired

          public boolean isToolNotRequired()

      Returns true if the material can be harvested without a tool (or with the wrong tool)

    - #### getMaterialMobility

          public int getMaterialMobility()

      Returns the mobility information of the material, 0 = free, 1 = can't push but can move over, 2 = total immobility and stop pistons.

    - #### isAdventureModeExempt

          public boolean isAdventureModeExempt()

      Returns true if blocks with this material can always be mined in adventure mode.